diff --git a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_add.py b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_add.py
index 88b982f8..7f6ab3f4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_add.py
@@ -9,51 +9,58 @@
 
 import json
 
+from grappa import should
+
 from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as database_utils
 
 
-class DatabaseAddTestCase(BaseTestGenerator):
-    """This class will test the ADD database API"""
-    scenarios = [
-        # Fetching default URL for database node.
-        ('Check Databases Node URL', dict(url='/browser/database/obj/'))
-    ]
-
-    def setUp(self):
-        pass
-
-    def runTest(self):
-        """ This function will add database under 1st server of tree node. """
-        self.db_name = ''
-        self.server_id = parent_node_dict["server"][-1]["server_id"]
-        server_response = server_utils.connect_server(self, self.server_id)
-        if server_response["info"] == "Server connected.":
-            db_owner = server_response['data']['user']['name']
-            self.data = database_utils.get_db_data(db_owner)
-            self.data['template'] = 'template0'
-            self.db_name = self.data['name']
-            response = self.tester.post(self.url + str(utils.SERVER_GROUP) +
-                                        "/" + str(self.server_id) + "/",
-                                        data=json.dumps(self.data),
-                                        content_type='html/json')
-            self.assertEquals(response.status_code, 200)
-            response_data = json.loads(response.data.decode('utf-8'))
-            db_id = response_data['node']['_id']
-            db_dict = {"server_id": self.server_id, "db_id": db_id,
-                       "db_name": self.db_name}
-            utils.write_node_info("did", db_dict)
-        else:
-            raise Exception("Error while connecting server to add the"
-                            " database.")
+class TestDatabaseAdd:
 
-    def tearDown(self):
+    def test_database_add(self, request, context_of_tests):
         """
-        This function delete the database from server added in SQLite.
+        When sending post request to database endpoint
+        it returns 200 status
         """
+
+        request.addfinalizer(self.tearDown)
+
+        self.server = context_of_tests['server']
+        http_client = context_of_tests['test_client']
+        url = '/browser/database/obj/'
+        server_id = context_of_tests['server_information']['server_id']
+        server_response = server_utils.client_connect_server(
+            http_client,
+            server_id,
+            self.server['db_password'])
+        if not server_response['data']['connected']:
+            raise Exception('Server not found.')
+
+        db_owner = server_response['data']['user']['name']
+        data = database_utils.get_db_data(db_owner)
+        data['template'] = 'template0'
+        self.db_name = data['name']
+
+        response = http_client.post(
+            url + str(utils.SERVER_GROUP) + "/" +
+            str(server_id) + "/",
+            data=json.dumps(data),
+            content_type='html/json')
+
+        response.status_code | should.be.equal(200)
+
+        response_data = json.loads(response.data.decode('utf-8'))
+        db_id = response_data['node']['_id']
+        db_dict = {
+            "server_id": server_id,
+            "db_id": db_id,
+            "db_name": 'baa'
+        }
+
+        utils.write_node_info("did", db_dict)
+
+    def tearDown(self):
         connection = utils.get_db_connection(self.server['db'],
                                              self.server['username'],
                                              self.server['db_password'],
diff --git a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_delete.py b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_delete.py
index 8c925c33..cc9881f9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_delete.py
@@ -9,43 +9,51 @@
 
 import uuid
 
+from grappa import should
+
 from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 
 
-class DatabaseDeleteTestCase(BaseTestGenerator):
-    """ This class will delete the database under last added server. """
-    scenarios = [
-        # Fetching default URL for database node.
-        ('Check Databases Node URL', dict(url='/browser/database/obj/'))
-    ]
+class TestDatabaseDelete:
+
+    def test_database_delete(self, request, context_of_tests):
+        """
+        When sending delete request to database endpoint
+        it returns 200 status
+        """
+
+        request.addfinalizer(self.tearDown)
 
-    def setUp(self):
-        self.db_name = "db_delete_%s" % str(uuid.uuid4())[1:8],
-        self.db_id = utils.create_database(self.server, self.db_name)
-        self.server_id = parent_node_dict["server"][-1]["server_id"]
-        db_dict = {"server_id": self.server_id, "db_id": self.db_id,
-                   "db_name": self.db_name}
+        self.server = context_of_tests['server']
+        http_client = context_of_tests['test_client']
+        url = '/browser/database/obj/'
+        server_id = context_of_tests['server_information']['server_id']
+        server_response = server_utils.client_connect_server(
+            http_client,
+            server_id,
+            self.server['db_password'])
+        if not server_response['data']['connected']:
+            raise Exception('Server not found.')
+
+        self.db_name = "db_%s" % str(uuid.uuid4())[1:8],
+        db_id = utils.create_database(self.server, self.db_name)
+        db_dict = {
+            "server_id": server_id,
+            "db_id": db_id,
+            "db_name": self.db_name
+        }
         utils.write_node_info("did", db_dict)
 
-    def runTest(self):
-        """ This function will delete the database."""
-        server_response = server_utils.connect_server(self, self.server_id)
-        if server_response["data"]["connected"]:
-            db_id = self.db_id
-            response = self.tester.delete(
-                self.url + str(utils.SERVER_GROUP) + '/' +
-                str(self.server_id) + '/' + str(db_id),
-                follow_redirects=True)
-            self.assertEquals(response.status_code, 200)
-        else:
-            raise Exception("Could not connect to server to delete the "
-                            "database.")
+        response = http_client.delete(
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(server_id) + '/' +
+            str(db_id),
+            follow_redirects=True)
+
+        response.status_code | should.equal(200)
 
     def tearDown(self):
-        """This function drop the added database"""
         connection = utils.get_db_connection(self.server['db'],
                                              self.server['username'],
                                              self.server['db_password'],
diff --git a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_get.py b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_get.py
index 3ff0d90d..9832fdf8 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_get.py
@@ -7,41 +7,28 @@
 #
 ##########################################################################
 
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+import pytest
+from grappa import should
+
 from regression.python_test_utils import test_utils as utils
-from . import utils as database_utils
 
 
-class DatabasesGetTestCase(BaseTestGenerator):
-    """
-    This class will fetch database added under last added server.
-    """
-    scenarios = [
-        # Fetching default URL for database node.
-        ('Check Databases Node URL', dict(url='/browser/database/obj/'))
-    ]
+class TestDatabaseGet:
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_database_get(self, context_of_tests):
+        """
+        When sending get request to database endpoint
+        it returns 200 status
+        """
+
+        url = '/browser/database/obj/'
+        http_client = context_of_tests['test_client']
+        server_id = context_of_tests['server_information']['server_id']
+        db_id = context_of_tests['server_information']['db_id']
+
+        response = http_client.get(
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(server_id) + '/' +
+            str(db_id), follow_redirects=True)
 
-    def runTest(self):
-        """ This function will fetch added database. """
-        server_data = parent_node_dict["database"][-1]
-        server_id = server_data["server_id"]
-        db_id = server_data['db_id']
-        db_con = database_utils.connect_database(self,
-                                                 utils.SERVER_GROUP,
-                                                 server_id,
-                                                 db_id)
-        try:
-            if db_con["info"] == "Database connected.":
-                response = self.tester.get(
-                    self.url + str(utils.SERVER_GROUP) + '/' + str(
-                        server_id) + '/' +
-                    str(db_id), follow_redirects=True)
-                self.assertEquals(response.status_code, 200)
-            else:
-                raise Exception("Could not connect to database.")
-        except Exception as exception:
-            raise Exception("Error while getting database. %s" % exception)
-        finally:
-            # Disconnect database to delete it
-            database_utils.disconnect_database(self, server_id, db_id)
+        response.status_code | should.equal(200)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_put.py b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_put.py
index e5598468..4244ee58 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/tests/test_db_put.py
@@ -10,64 +10,72 @@
 import json
 import uuid
 
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from grappa import should
+
+from pgadmin.utils import server_utils as server_utils
 from regression.python_test_utils import test_utils as utils
 from . import utils as database_utils
 
 
-class DatabasesUpdateTestCase(BaseTestGenerator):
-    """This class will update the database under last added server."""
-    scenarios = [
-        # Fetching default URL for database node.
-        ('Check Databases Node', dict(url='/browser/database/obj/'))
-    ]
+class TestDatabasePut:
+
+    def test_database_put(self, request, context_of_tests):
+        """
+        When sending put request to database endpoint
+        it returns 200 status
+        """
+
+        request.addfinalizer(self.tearDown)
+
+        self.server = context_of_tests['server']
+        http_client = context_of_tests['test_client']
+        url = '/browser/database/obj/'
+        server_id = context_of_tests['server_information']['server_id']
+        server_response = server_utils.client_connect_server(
+            http_client,
+            server_id,
+            self.server['db_password'])
+        if not server_response['data']['connected']:
+            raise Exception('Server not found.')
 
-    def setUp(self):
-        self.db_name = "test_db_put_%s" % str(uuid.uuid4())[1:8]
-        self.db_id = utils.create_database(self.server, self.db_name)
-        self.server_id = parent_node_dict["server"][-1]["server_id"]
-        db_dict = {"server_id": self.server_id, "db_id": self.db_id,
-                   "db_name": self.db_name}
+        self.db_name = "db_%s" % str(uuid.uuid4())[1:8],
+        db_id = utils.create_database(self.server, self.db_name)
+        db_dict = {
+            "server_id": server_id,
+            "db_id": db_id,
+            "db_name": self.db_name
+        }
         utils.write_node_info("did", db_dict)
 
-    def runTest(self):
-        """ This function will update the comments field of database."""
-        db_con = database_utils.connect_database(self,
-                                                 utils.SERVER_GROUP,
-                                                 self.server_id,
-                                                 self.db_id)
-        if db_con["info"] == "Database connected.":
-            try:
-                data = {
-                    "comments": "This is db update comment",
-                    "id": self.db_id
-                }
-                response = self.tester.put(
-                    self.url + str(utils.SERVER_GROUP) + '/' + str(
-                        self.server_id) + '/' +
-                    str(self.db_id), data=json.dumps(data),
-                    follow_redirects=True)
-                self.assertEquals(response.status_code, 200)
-            except Exception as exception:
-                from traceback import print_exc
-                print_exc()
-                raise Exception("Error while updating database details. %s" %
-                                exception)
-            finally:
-                # Disconnect database to delete it
-                database_utils.disconnect_database(self, self.server_id,
-                                                   self.db_id)
-        else:
-            raise Exception("Error while updating database details.")
+        db_con = database_utils.client_connect_database(
+            http_client,
+            utils.SERVER_GROUP,
+            server_id,
+            db_id,
+            self.server['db_password']
+        )
+
+        if not db_con['data']['connected']:
+            raise Exception('Database not found.')
+
+        data = {
+            "comments": "This is db update comment",
+            "id": db_id
+        }
+        response = http_client.put(
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(server_id) + '/' +
+            str(db_id),
+            data=json.dumps(data),
+            follow_redirects=True)
+
+        response.status_code | should.equal(200)
 
     def tearDown(self):
-        """
-        This function delete the database from server added in SQLite.
-        """
         connection = utils.get_db_connection(self.server['db'],
                                              self.server['username'],
                                              self.server['db_password'],
                                              self.server['host'],
-                                             self.server['port'])
+                                             self.server['port'],
+                                             self.server['sslmode'])
         utils.drop_database(connection, self.db_name)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/tests/utils.py b/web/pgadmin/browser/server_groups/servers/databases/tests/utils.py
index 6510141f..63e2a059 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/tests/utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/tests/utils.py
@@ -110,12 +110,36 @@ def connect_database(self, server_group, server_id, db_id):
     :return: temp_db_con
     :rtype: list
     """
+    return client_connect_database(self.tester,
+                                   server_group,
+                                   server_id,
+                                   db_id,
+                                   self.server['db_password'])
 
-    # Verify servers
-    server_utils.connect_server(self, server_id)
 
-    # Connect to database
-    db_con = self.tester.post(
+def client_connect_database(http_client,
+                            server_group,
+                            server_id,
+                            db_id,
+                            db_password):
+    """
+    This function verifies that database is exists and whether it connect
+    successfully or not
+
+    :param http_client: Test HTTP Client object
+    :param server_group: server group id
+    :type server_group: int
+    :param server_id: server id
+    :type server_id: str
+    :param db_id: database id
+    :type db_id: str
+    :param db_password: password for the database
+    :return: temp_db_con
+    :rtype: list
+    """
+    server_utils.client_connect_server(http_client, server_id, db_password)
+
+    db_con = http_client.post(
         '{0}{1}/{2}/{3}'.format(
             DATABASE_CONNECT_URL,
             server_group,
@@ -131,7 +155,20 @@ def connect_database(self, server_group, server_id, db_id):
 
 def disconnect_database(self, server_id, db_id):
     """This function disconnect the db"""
-    db_con = self.tester.delete(
+    return client_disconnect_database(self.tester, server_id, db_id)
+
+
+def client_disconnect_database(http_client, server_id, db_id):
+    """
+    Execute a HTTP Request to inform the server that the connection
+    to a database should be removed
+
+    :param http_client: Flask HTTP Client
+    :param server_id: Identifier of the server to disconnect from
+    :param db_id: Identifier of the database to disconnect from
+    :raises AssertionError if an error is returned by the server
+    """
+    db_con = http_client.delete(
         '{0}{1}/{2}/{3}'.format(
             'browser/database/connect/',
             utils.SERVER_GROUP,
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/pgagent/tests/__init__.py
index 61f4d19a..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/tests/__init__.py
@@ -6,10 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class PgAgentCreateTestCase(BaseTestGenerator):
-    def runTest(self):
-        return
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_add.py b/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_add.py
index 7eb499f7..98d35f54 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_add.py
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_add.py
@@ -6,33 +6,44 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
+import pytest
 import simplejson as json
 import uuid
-from pgadmin.utils.route import BaseTestGenerator
+
+from grappa import should
+
 from regression.python_test_utils import test_utils as utils
 from . import utils as pgagent_utils
 
 
-class PgAgentAddTestCase(BaseTestGenerator):
-    """This class will test the add pgAgent job API"""
-    scenarios = [
-        ('Add pgAgent job', dict(url='/browser/pga_job/obj/'))
-    ]
+class TestPgAgentAdd:
+    def test_pg_agent_add(self, request, context_of_tests):
+        """
+        When the PG Agent add request is sent to the backend
+        it returns 200 status
+        """
 
-    def setUp(self):
-        flag, msg = pgagent_utils.is_valid_server_to_run_pgagent(self)
+        request.addfinalizer(self.tearDown)
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+
+        flag, message = pgagent_utils.is_valid_server_to_run_pgagent(self)
         if not flag:
-            self.skipTest(msg)
-        flag, msg = pgagent_utils.is_pgagent_installed_on_server(self)
+            pytest.skip(message)
+
+        flag, message = pgagent_utils.is_pgagent_installed_on_server(self)
         if not flag:
-            self.skipTest(msg)
+            pytest.skip(message)
+
+        url = '/browser/pga_job/obj/'
+
+        server_id = context_of_tests['server_information']['server_id']
+        http_client = context_of_tests['test_client']
+        pgagent_job = "test_job_add%s" % str(uuid.uuid4())[1:8]
 
-    def runTest(self):
-        """This function will adds pgAgent job"""
-        self.pgagent_job = "test_job_add%s" % str(uuid.uuid4())[1:8]
         data = {
-            'jobname': self.pgagent_job,
+            'jobname': pgagent_job,
             'jobenabled': True,
             'jobhostagent': '',
             'jobjclid': 1,
@@ -68,22 +79,22 @@ class PgAgentAddTestCase(BaseTestGenerator):
             }],
         }
 
-        response = self.tester.post(
+        response = http_client.post(
             '{0}{1}/{2}/'.format(
-                self.url, str(utils.SERVER_GROUP), str(self.server_id)
+                url, utils.SERVER_GROUP, server_id
             ),
             data=json.dumps(data),
             content_type='html/json'
         )
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
 
         response_data = json.loads(response.data)
+
         self.job_id = response_data['node']['_id']
-        is_present = pgagent_utils.verify_pgagent_job(self)
-        self.assertTrue(
-            is_present, "pgAgent job was not created successfully"
-        )
+        pgagent_utils.verify_pgagent_job(self) | \
+            should.be.equal.to(True,
+                               msg='pgAgent job was not created successfully')
 
     def tearDown(self):
-        """Clean up code"""
         pgagent_utils.delete_pgagent_job(self)
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_delete.py b/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_delete.py
index f9bcb087..94d2e2be 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_delete.py
@@ -8,42 +8,51 @@
 ##########################################################################
 
 import uuid
-from pgadmin.utils.route import BaseTestGenerator
+
+import pytest
+from grappa import should
+
 from regression.python_test_utils import test_utils as utils
 from . import utils as pgagent_utils
 
 
-class PgAgentDeleteTestCase(BaseTestGenerator):
-    """This class will test the delete pgAgent job API"""
-    scenarios = [
-        ('Delete pgAgent job', dict(url='/browser/pga_job/obj/'))
-    ]
+class TestPgAgentDelete:
+    def test_pg_agent_delete(self, request, context_of_tests):
+        """
+        When the PG Agent delete request is sent to the backend
+        it returns 200 status
+        """
+
+        request.addfinalizer(self.tearDown)
 
-    def setUp(self):
-        flag, msg = pgagent_utils.is_valid_server_to_run_pgagent(self)
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
+
+        flag, message = pgagent_utils.is_valid_server_to_run_pgagent(self)
         if not flag:
-            self.skipTest(msg)
-        flag, msg = pgagent_utils.is_pgagent_installed_on_server(self)
+            pytest.skip(message)
+
+        flag, message = pgagent_utils.is_pgagent_installed_on_server(self)
         if not flag:
-            self.skipTest(msg)
+            pytest.skip(message)
+
+        url = '/browser/pga_job/obj/'
+
         name = "test_job_delete%s" % str(uuid.uuid4())[1:8]
         self.job_id = pgagent_utils.create_pgagent_job(self, name)
 
-    def runTest(self):
-        """This function will deletes pgAgent job"""
         response = self.tester.delete(
             '{0}{1}/{2}/{3}'.format(
-                self.url, str(utils.SERVER_GROUP), str(self.server_id),
+                url, str(utils.SERVER_GROUP), str(self.server_id),
                 str(self.job_id)
             ),
             content_type='html/json'
         )
-        self.assertEquals(response.status_code, 200)
-        is_present = pgagent_utils.verify_pgagent_job(self)
-        self.assertFalse(
-            is_present, "pgAgent job was not deleted successfully"
-        )
+
+        response.status_code | should.be.equal.to(200)
+        pgagent_utils.verify_pgagent_job(self) | \
+            should.be.equal.to(False,
+                               msg='pgAgent job was not deleted successfully')
 
     def tearDown(self):
-        """Clean up code"""
         pgagent_utils.delete_pgagent_job(self)
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_put.py b/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_put.py
index 08ffc6b9..4e41a7c7 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_put.py
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/tests/test_pgagent_put.py
@@ -6,46 +6,56 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
+import pytest
 import simplejson as json
 import uuid
-from pgadmin.utils.route import BaseTestGenerator
+
+from grappa import should
+
 from regression.python_test_utils import test_utils as utils
 from . import utils as pgagent_utils
 
 
-class PgAgentPutTestCase(BaseTestGenerator):
-    """This class will test the put pgAgent job API"""
-    scenarios = [
-        ('Put pgAgent job', dict(url='/browser/pga_job/obj/'))
-    ]
+class TestPgAgentPut:
+    def test_pg_agent_put(self, request, context_of_tests):
+        """
+        When the PG Agent put request is sent to the backend
+        it returns 200 status
+        """
+
+        request.addfinalizer(self.tearDown)
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
 
-    def setUp(self):
-        flag, msg = pgagent_utils.is_valid_server_to_run_pgagent(self)
+        flag, message = pgagent_utils.is_valid_server_to_run_pgagent(self)
         if not flag:
-            self.skipTest(msg)
-        flag, msg = pgagent_utils.is_pgagent_installed_on_server(self)
+            pytest.skip(message)
+
+        flag, message = pgagent_utils.is_pgagent_installed_on_server(self)
         if not flag:
-            self.skipTest(msg)
+            pytest.skip(message)
+
+        url = '/browser/pga_job/obj/'
+
         name = "test_job_put%s" % str(uuid.uuid4())[1:8]
         self.job_id = pgagent_utils.create_pgagent_job(self, name)
 
-    def runTest(self):
-        """This function will put pgAgent job"""
         data = {
             "jobdesc": "This is a test comment",
         }
 
         response = self.tester.put(
             '{0}{1}/{2}/{3}'.format(
-                self.url, str(utils.SERVER_GROUP), str(self.server_id),
+                url, str(utils.SERVER_GROUP), str(self.server_id),
                 str(self.job_id)
             ),
             data=json.dumps(data),
             follow_redirects=True,
             content_type='html/json'
         )
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
 
     def tearDown(self):
-        """Clean up code"""
         pgagent_utils.delete_pgagent_job(self)
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/tests/tests_pgagent_get.py b/web/pgadmin/browser/server_groups/servers/pgagent/tests/tests_pgagent_get.py
index 1c2e5115..02bd5d9d 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/tests/tests_pgagent_get.py
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/tests/tests_pgagent_get.py
@@ -8,38 +8,49 @@
 ##########################################################################
 
 import uuid
-from pgadmin.utils.route import BaseTestGenerator
+
+import pytest
+from grappa import should
+
+from pgadmin.utils.base_test_generator import BaseTestGenerator
 from regression.python_test_utils import test_utils as utils
 from . import utils as pgagent_utils
 
 
-class PgAgentGetTestCase(BaseTestGenerator):
-    """This class will test the get pgAgent job API"""
-    scenarios = [
-        ('Get pgAgent job', dict(url='/browser/pga_job/obj/'))
-    ]
+class TestPgAgentGet:
+    def test_pg_agent_get(self, request, context_of_tests):
+        """
+        When the PG Agent get request is sent to the backend
+        it returns 200 status
+        """
+
+        request.addfinalizer(self.tearDown)
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
 
-    def setUp(self):
-        flag, msg = pgagent_utils.is_valid_server_to_run_pgagent(self)
+        flag, message = pgagent_utils.is_valid_server_to_run_pgagent(self)
         if not flag:
-            self.skipTest(msg)
-        flag, msg = pgagent_utils.is_pgagent_installed_on_server(self)
+            pytest.skip(message)
+
+        flag, message = pgagent_utils.is_pgagent_installed_on_server(self)
         if not flag:
-            self.skipTest(msg)
+            pytest.skip(message)
+
+        url = '/browser/pga_job/obj/'
+
         name = "test_job_get%s" % str(uuid.uuid4())[1:8]
         self.job_id = pgagent_utils.create_pgagent_job(self, name)
 
-    def runTest(self):
-        """This function will get pgAgent job"""
         response = self.tester.get(
             '{0}{1}/{2}/{3}'.format(
-                self.url, str(utils.SERVER_GROUP), str(self.server_id),
+                url, str(utils.SERVER_GROUP), str(self.server_id),
                 str(self.job_id)
             ),
             content_type='html/json'
         )
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
 
     def tearDown(self):
-        """Clean up code"""
         pgagent_utils.delete_pgagent_job(self)
